## appmenu-qt 0.1.2

=== CMakeLists.txt ===
project(appmenu-qt)
cmake_minimum_required(VERSION 2.8.0)

# Versions
set(appmenu_qt_VERSION_MAJOR 0)
set(appmenu_qt_VERSION_MINOR 1)
set(appmenu_qt_VERSION_PATCH 2)
set(appmenu_qt_VERSION ${appmenu_qt_VERSION_MAJOR}.${appmenu_qt_VERSION_MINOR}.${appmenu_qt_VERSION_PATCH})

# Packaging
set(ARCHIVE_NAME appmenu-qt-${appmenu_qt_VERSION})
add_custom_target(dist
    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )

add_custom_target(distcheck
    COMMAND cd ${CMAKE_BINARY_DIR}
    && rm -rf ${ARCHIVE_NAME}
    && tar xf ${ARCHIVE_NAME}.tar.bz2
    && mkdir ${ARCHIVE_NAME}/build
    && cd ${ARCHIVE_NAME}/build
    && cmake -DCMAKE_INSTALL_PREFIX=../install ..
    && make
    && make install
    )
add_dependencies(distcheck dist)

# Dependencies
find_package(PkgConfig REQUIRED)
find_package(Qt4 REQUIRED)
pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt)

# Source
add_subdirectory(src)

=== src/CMakeLists.txt ===
# Source
set(appmenu_qt_SRCS
    qx11menubarimpl.cpp
    )

# Build
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${DBUSMENUQT_INCLUDE_DIRS}
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_QTXML_INCLUDE_DIR}
    )

qt4_automoc(${appmenu_qt_SRCS})

add_library(appmenu-qt MODULE
    ${appmenu_qt_SRCS}
    )

link_directories(
    ${DBUSMENUQT_LIBRARY_DIRS}
    )

target_link_libraries(appmenu-qt
    ${DBUSMENUQT_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTXML_LIBRARIES}
    )

# Install
install(TARGETS appmenu-qt
    DESTINATION ${QT_PLUGINS_DIR}/menubar/
    )

=== debian/changelog ===
appmenu-qt (0.1.2-0ubuntu1) natty; urgency=low

  * New upstream release for new dbus namespace

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Jan 2011 19:03:38 +0000

appmenu-qt (0.1.0-0ubuntu2) natty; urgency=low

  * Add build-dep on qt4-qmake

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Jan 2011 15:09:40 +0000

appmenu-qt (0.1.0-0ubuntu1) natty; urgency=low

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Jan 2011 17:13:08 +0000

=== debian/control ===
Source: appmenu-qt
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.3), cmake, libdbusmenu-qt-dev, qt4-qmake, libqt4-dev, pkg-config
Standards-Version: 3.9.1
Section: x11
Homepage: https://launchpad.net/appmenu-qt

Package: appmenu-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: appmenu support for Qt
 This plugin provides appmenu support for Qt.  It allows applications
 to export menus over DBus to plasma-widget-menubar or another menu applet.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -Nappmenu-qt

## appmenu-qt 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # Versions
 set(appmenu_qt_VERSION_MAJOR 0)
-set(appmenu_qt_VERSION_MINOR 1)
+set(appmenu_qt_VERSION_MINOR 2)
 set(appmenu_qt_VERSION_PATCH 2)
 set(appmenu_qt_VERSION ${appmenu_qt_VERSION_MAJOR}.${appmenu_qt_VERSION_MINOR}.${appmenu_qt_VERSION_PATCH})
 
@@ -29,7 +29,8 @@
 # Dependencies
 find_package(PkgConfig REQUIRED)
 find_package(Qt4 REQUIRED)
-pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt)
+pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt>=0.9.0)
 
 # Source
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Woverloaded-virtual")
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Source
 set(appmenu_qt_SRCS
-    qx11menubarimpl.cpp
+    appmenuplatformmenubar.cpp
     )
 
 # Build

=== debian/changelog ===
appmenu-qt (0.2.2-0ubuntu1.1) oneiric-proposed; urgency=low

  * debian/patches/kubuntu_02_dont_crash_when_alt_is_pressed.diff:
    - fix crash when pressing alt in an application whose main window does not
      have a menubar (LP: #877791)

 -- Aurélien Gâteau <aurelien.gateau@ubuntu.com>  Thu, 20 Oct 2011 15:19:52 +0200

appmenu-qt (0.2.2-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Update "Status" dbusmenu property, making it possible to show menubar
      in Unity panel by pressing Alt (LP: #737419).
    - Improve robustness: menubar gets correctly exposed and unexposed when
      menubar renderer is started or stopped (LP: #838115, #602913).
    - Change licence to LGPLv3.
  * debian/copyright:
    - update for new licence
  * debian/control:
    - dep on libdbusmenu-qt-dev 0.9.0
    - bump Standards-Version to latest

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 02 Sep 2011 13:32:01 +0200

appmenu-qt (0.1.2-0ubuntu2) oneiric; urgency=low

  * Exclude libqtcore4 and libqtgui4 from shlibs generated depends so that
    flavors that use appmenu, but don't ship Qt can include appmenu-qt without
    dragging in Qt itself (appmenu-qt is only useful if some other Qt using
    package is installed)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 25 Jul 2011 11:43:56 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 7.3), cmake, libdbusmenu-qt-dev, qt4-qmake, libqt4-dev, pkg-config
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.3), cmake, libdbusmenu-qt-dev (>= 0.9.0), qt4-qmake, libqt4-dev, pkg-config
+Standards-Version: 3.9.2
 Section: x11
 Homepage: https://launchpad.net/appmenu-qt

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Nappmenu-qt
+
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xlibqtcore4 -xlibqtgui4

## appmenu-qt 0.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Versions
 set(appmenu_qt_VERSION_MAJOR 0)
 set(appmenu_qt_VERSION_MINOR 2)
-set(appmenu_qt_VERSION_PATCH 2)
+set(appmenu_qt_VERSION_PATCH 6)
 set(appmenu_qt_VERSION ${appmenu_qt_VERSION_MAJOR}.${appmenu_qt_VERSION_MINOR}.${appmenu_qt_VERSION_PATCH})
 
 # Packaging

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,12 @@
 
 qt4_automoc(${appmenu_qt_SRCS})
 
+link_directories(
+    ${DBUSMENUQT_LIBRARY_DIRS}
+    )
+
 add_library(appmenu-qt MODULE
     ${appmenu_qt_SRCS}
-    )
-
-link_directories(
-    ${DBUSMENUQT_LIBRARY_DIRS}
     )
 
 target_link_libraries(appmenu-qt

=== debian/changelog ===
appmenu-qt (0.2.6-2) unstable; urgency=medium

  * Team upload.
  * [5132205] Remove unused build-dependencies.
  * [910ab38] Switch to debhelper compat level v9 which exports build flags.
  * [58503a5] Append -Wl,--as-needed to LDFLAGS to avoid linking against QtXml.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 28 Aug 2015 00:23:06 +0200

appmenu-qt (0.2.6-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable
  * [0750e3e] Imported Upstream version 0.2.6
  * [ae8944c] update standards version to 3.9.3
  * [b8a131b] update copyright to machine readable format 1.0
  * [d55945f] fix lintian warning on the machine readalbe (1.0) format

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 17 May 2012 01:36:09 +0530

appmenu-qt (0.2.5-1) experimental; urgency=low

  * Initial release. (Closes: #663204)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 21 Mar 2012 12:12:41 +0530

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# export DH_VERBOSE=1
export DH_OPTIONS

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

PKG_NAME=appmenu-qt
PKG_VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	uscan --force-download --rename --download-version=$(PKG_VER) --destdir=.


%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_makeshlibs:
	dh_makeshlibs -Xqt4/plugins

=== debian/watch ===
version=3
https://launchpad.net/appmenu-qt/+download \
http://launchpad.net/appmenu-qt/trunk/\d.\d.\d/\+download/appmenu-qt-(.*)\.tar\.bz2

## appmenu-qt 0.2.7daily13.01.18

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,10 @@
     ${QT_QTGUI_INCLUDE_DIR}
     ${QT_QTXML_INCLUDE_DIR}
     )
+
+qt4_add_dbus_interface(appmenu_qt_SRCS com.canonical.AppMenu.Registrar.xml
+                       registrar)
+
 
 qt4_automoc(${appmenu_qt_SRCS})

## appmenu-qt 0.2.7%2B14.04.20140305

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,16 @@
 set(appmenu_qt_VERSION_MINOR 2)
 set(appmenu_qt_VERSION_PATCH 6)
 set(appmenu_qt_VERSION ${appmenu_qt_VERSION_MAJOR}.${appmenu_qt_VERSION_MINOR}.${appmenu_qt_VERSION_PATCH})
+
+# Check if we want to explicitly select the Qt version to be used or autodetect
+if(NOT USE_QT4 AND NOT USE_QT5)
+    # Autodetect, prefering Qt5
+    message(STATUS "Autodetecting Qt version to use")
+    find_package(Qt5Widgets QUIET)
+    if (Qt5Widgets_FOUND)
+        set(USE_QT5 TRUE)
+    endif()
+endif()
 
 # Packaging
 set(ARCHIVE_NAME appmenu-qt-${appmenu_qt_VERSION})
@@ -28,8 +38,16 @@
 
 # Dependencies
 find_package(PkgConfig REQUIRED)
-find_package(Qt4 REQUIRED)
-pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt>=0.9.0)
+if(USE_QT5)
+    find_package(Qt5Widgets REQUIRED)
+    find_package(Qt5Core REQUIRED)
+    find_package(Qt5DBus REQUIRED)
+    pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt5>=0.9.0)
+    add_definitions( -DUSE_QT5 )
+else()
+    find_package(Qt4 REQUIRED)
+    pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt>=0.9.0)
+endif()
 
 # Source
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Woverloaded-virtual")

## appmenu-qt 0.2.7+14.04.20140305

=== src/CMakeLists.txt ===
# Compat variables for plugins.
function(_QT5_QUERY_QMAKE VAR RESULT)
    get_target_property(QT_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE} LOCATION)
    execute_process(COMMAND ${QT_QMAKE_EXECUTABLE} "-query" ${VAR}
                    RESULT_VARIABLE return_code
                    OUTPUT_VARIABLE output)
    if(NOT return_code)
        file(TO_CMAKE_PATH "${output}" output)
        STRING(REGEX REPLACE "(\r?\n)+$" "" output "${output}")
        set(${RESULT} ${output} PARENT_SCOPE)
    endif(NOT return_code)
endfunction(_QT5_QUERY_QMAKE)

# Source
set(appmenu_qt_SRCS
    appmenuplatformmenubar.cpp
    )

# Build
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${DBUSMENUQT_INCLUDE_DIRS}
    )

if(USE_QT5)
    include_directories(
        ${QT_INCLUDE_DIRS}
        ${Qt5Core_INCLUDE_DIRS}
        ${Qt5Widgets_INCLUDE_DIRS}
        ${Qt5DBus_INCLUDE_DIRS}
        ${Qt5Gui_INCLUDE_DIRS}
        ${Qt5Xml_INCLUDE_DIRS}
        )

    qt5_add_dbus_interface(appmenu_qt_SRCS com.canonical.AppMenu.Registrar.xml
                           registrar)
    set(CMAKE_AUTOMOC TRUE)
    # Fetch the Qt5 plugins directory path
    _qt5_query_qmake(QT_INSTALL_PLUGINS QT_PLUGINS_DIR)
else()
    include_directories(
        ${QT_INCLUDE_DIR}
        ${QT_QTCORE_INCLUDE_DIR}
        ${QT_QTDBUS_INCLUDE_DIR}
        ${QT_QTGUI_INCLUDE_DIR}
        ${QT_QTXML_INCLUDE_DIR}
        )

    qt4_add_dbus_interface(appmenu_qt_SRCS com.canonical.AppMenu.Registrar.xml
                           registrar)
    qt4_automoc(${appmenu_qt_SRCS})
endif()


link_directories(
    ${DBUSMENUQT_LIBRARY_DIRS}
    )

add_library(appmenu-qt MODULE
    ${appmenu_qt_SRCS}
    )

if(USE_QT5)
    target_link_libraries(appmenu-qt
        ${DBUSMENUQT_LIBRARIES}
        ${Qt5Core_LIBRARIES}
        ${Qt5DBus_LIBRARIES}
        ${Qt5Widgets_LIBRARIES}
        ${Qt5Gui_LIBRARIES}
        ${Qt5Xml_LIBRARIES}
        )
else()
    target_link_libraries(appmenu-qt
        ${DBUSMENUQT_LIBRARIES}
        ${QT_QTCORE_LIBRARIES}
        ${QT_QTDBUS_LIBRARIES}
        ${QT_QTGUI_LIBRARIES}
        ${QT_QTXML_LIBRARIES}
        )
endif()

# Install
install(TARGETS appmenu-qt
    DESTINATION ${QT_PLUGINS_DIR}/menubar/
    )
